Andy's PHP Knowledgebase (aphpkb) submit_question.php Multiple Variable XSS

2006-03-27T00:00:00
ID OSVDB:24312
Type osvdb
Reporter security curmudgeon(jericho@attrition.org)
Modified 2006-03-27T00:00:00

Description

Vulnerability Description

Andy's PHP Knowledgebase (aphpkb) contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'Question', 'Name', and 'Email' variables upon submission to the submit_question.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Upgrade to version 0.59 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

Andy's PHP Knowledgebase (aphpkb) contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'Question', 'Name', and 'Email' variables upon submission to the submit_question.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Vendor URL: http://aphpkb.sourceforge.net/ Secunia Advisory ID:19554 Related OSVDB ID: 24311 Related OSVDB ID: 24310 Other Advisory URL: http://osvdb.org/ref/24/24310-aphpkb.txt CVE-2006-1438